Subject: Re: Mail Order Plants

From: [email-masked] (Garry Williams)
Date: Fri, 19 Aug 94 07:13:27 EDT

[email-masked] (L. R. Fortney) writes:

>   This is my short list of eastern mail order houses other than Wayside. 
> I'm not knocking Wayside because I have several successful plants in my
> garden that originated there, but generally I prefer the places mentioned
> here.
> 
> Carroll Gardens, MD 800 638 6334 catalog of over 90 pages lists over 2000
> plants, many unavailable elsewhere, no pictures. Catalog costs $3
> 
> Kurt Bluemel, MD 410 557 7229 includes large collection of grasses and
> other less common plant varities.
> 
> Holbrook Farms, NC 704 891 7790 Limited selection, but more modern plants
> than Niche.
> 
> Niche Gardens, NC 919 967 0078  Limited selection, many native plants.
> 
> White Flower Farms, CT 203 496 9600 bare root plants, nice catalog
> 
>    All of these places except WFF ship mainly in pots.  I've found that
> spring planted bare root does not work well here in piedmont NC.  Fall
> planting is better, but stock is often unavailable.
> 
> -- 
> Lloyd Fortney ---Opinions, just opinions---

Hi, Lloyd! Nice list. But I'm curious as to what you mean when you say 
that Holbrook Farms has more "modern" plants than Niche? What is a 
"modern" plant and how is it superior/inferior to un"modern" plants?
 
Garry

Garry Williams               "A goblet, a goblet, yea even a hoop, the eyes
[email-masked]      of time their seasons savor. And all things
                             flow, yet who can know? But such is life,
                             business is business, and Dort is not mocked.
                             Yea, yea."-The Seven Wonders of the Universe